This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### beginRecord()
Examples |
    import processing.pdf.*;

    void setup() {
      size(400, 400);
      beginRecord(PDF, "everything.pdf");
    }

    void draw() {
      ellipse(mouseX, mouseY, 10, 10);
    }

    void mousePressed() {
      endRecord();
      exit();
    }
Description | Opens a new file and all subsequent drawing functions are echoed to this file as well as the display window. The beginRecord() function requires two parameters, the first is the renderer and the second is the file name. This function is always used with endRecord() to stop the recording process and close the file. Note that beginRecord() will only pick up any settings that happen after it has been called. For instance, if you call textFont() before beginRecord(), then that font will not be set for the file that you're recording to.
Syntax |
    beginRecord(renderer, filename)
Parameters |
renderer | String: for example, PDF
filename | String: filename for output
Returns | PGraphics or void
Related | endRecord()

Updated on October 26, 2013 08:58:31pm PDT